> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadpipe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List intent audience runs



## OpenAPI

````yaml https://api.aws53.cloud/openapi-intent.json get /v1/intent/audiences/{id}/runs
openapi: 3.1.0
info:
  title: Orbit API
  version: 1.0.0
  description: >-
    Orbit Audience Intent API: topic discovery, site analysis, curated ICP
    filters, saved audiences, materialization runs, stats, and CSV export.
    Discovery endpoints are public; audience management accepts either Bearer
    JWT or X-API-Key auth.
servers:
  - url: https://api.aws53.cloud
    description: Production
security: []
tags:
  - name: Topic Discovery
    description: Browse, search, and analyze available intent topics
  - name: Site Analysis
    description: Analyze a website URL to find matching intent topics
  - name: Site Topics
    description: Recent organization site-topic analyses
  - name: Audience Builder
    description: >-
      Curated filters, preview, saved audiences, runs, stats, CSV export, and
      saved topic lists
paths:
  /v1/intent/audiences/{id}/runs:
    get:
      tags:
        - Audience Builder
      summary: List intent audience runs
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Audience runs
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/IntentAudienceRun'
                  meta:
                    $ref: '#/components/schemas/ApiMeta'
                required:
                  - data
                  - meta
        '404':
          description: Audience not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    IntentAudienceRun:
      type: object
      properties:
        id:
          type: string
          format: uuid
        audienceId:
          type: string
          format: uuid
        organizationId:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
            - cancelled
        runType:
          type: string
          enum:
            - manual
            - daily
            - preview
        configHash:
          type: string
        dataDate:
          type: string
          format: date
        resultKey:
          type: string
        candidateCount:
          type: integer
        resultCount:
          type: integer
        attempts:
          type: integer
        nextAttemptAt:
          type:
            - string
            - 'null'
          format: date-time
        idempotencyKey:
          type:
            - string
            - 'null'
        errorCode:
          type:
            - string
            - 'null'
        errorMessage:
          type:
            - string
            - 'null'
        startedAt:
          type:
            - string
            - 'null'
          format: date-time
        completedAt:
          type:
            - string
            - 'null'
          format: date-time
        cancelledAt:
          type:
            - string
            - 'null'
          format: date-time
        readyEmailSentAt:
          type:
            - string
            - 'null'
          format: date-time
        readyEmailExportId:
          type:
            - string
            - 'null'
          format: uuid
        readyEmailError:
          type:
            - string
            - 'null'
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - audienceId
        - organizationId
        - status
        - runType
        - configHash
        - dataDate
        - resultKey
        - candidateCount
        - resultCount
        - attempts
    ApiMeta:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        request_id:
          type: string
      required:
        - timestamp
        - request_id
    ApiErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        meta:
          $ref: '#/components/schemas/ApiMeta'
      required:
        - error
        - meta
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details: {}
      required:
        - code
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Dashboard access token. Send as Authorization: Bearer <token>.'
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Organization API key (sk_...). Send as X-API-Key: <key>.'

````